Package org.eclipse.emf.cdo.view

# Interface CDOViewEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDOTransactionConflictAddedEvent`, `CDOTransactionConflictChangedEvent`, `CDOTransactionConflictEvent`, `CDOTransactionConflictRemovedEvent`, `CDOTransactionFinishedEvent`, `CDOTransactionStartedEvent`, `CDOViewAdaptersNotifiedEvent`, `CDOViewDurabilityChangedEvent`, `CDOViewInvalidationEvent`, `CDOViewLocksChangedEvent`, `CDOViewPermissionsChangedEvent`, `CDOViewProviderChangedEvent`, `CDOViewTargetChangedEvent`

All Known Implementing Classes:
  `CDOViewEventProducer.CDOAttachingObjectEvent`, `CDOViewEventProducer.CDOCommittedTransactionEvent`, `CDOViewEventProducer.CDOCommittingTransactionEvent`, `CDOViewEventProducer.CDODetachingObjectEvent`, `CDOViewEventProducer.CDOModifyingObjectEvent`, `CDOViewEventProducer.CDOObjectStateChangedEvent`, `CDOViewEventProducer.CDORolledBackTransactionEvent`

public interface CDOViewEvent extends org.eclipse.net4j.util.event.IEvent
A generic `event` fired from a `view`.

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOView`
`getSource()`

## Method Details

### getSource

CDOView getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Since:
  3.0